/***********************************************************************
 * @file Eeprom.h
 * @brief Module reads and stores the default value of input and
 *        volume
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _EEPROM_H_
#define	_EEPROM_H_

// initialize the eeprom module (startup the spi interface)
extern void EEPROM_vInit(void); 

// read the parameter from the EEPROM
extern uint8_t EEPROM_u8Read(uint8_t * pu8Input, uint8_t * pu8Volume);

// save the parameters into the EEPROM 
extern void EEPROM_vWrite(uint8_t u8Input, uint8_t u8Volume);

// spi interrupt (must have global scope)
//extern void EEPROM_vSpiInterrupt(void) __interrupt (9);
  
#endif
