/***********************************************************************
 * @file IrNecProtocol.h
 * @brief NEC (today Renesas) infrared remote control protocol
 *        HAL and MAC layer
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _IR_NEC_PROTOCOL_H_
#define	_IR_NEC_PROTOCOL_H_

// enumerator for command parsing
typedef enum NEC_enCommands_tag {
  eNotValid,
  eSwitchOnOff,
  eVolInc,
  eVolDec,
  eInput1,
  eInput2,
  eInput3,
  eInput4,
  eMute
} NEC_enCommands_t;


// poll function for the ir input pin
uint8_t NEC_u8IrRx(uint16_t * pu16Adr, uint8_t * pu8Cmd);

// parse the ir command
NEC_enCommands_t NEC_enIrCmdParsing(const uint16_t u16Adr, const uint8_t u8Cmd);

#endif

