/***********************************************************************
 * @file Lcd1602a.h
 * @brief Driver for the 16 x 2 character display LCD1602A
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _LCD1602A_H_
#define	_LCD1602A_H_

// setup function for the display
extern uint8_t LCD1602A_u8Init(void);

// Write a character u8Char in u8Row and  u8Colume
extern uint8_t LCD1602A_u8WriteChar(uint8_t u8Row, uint8_t u8Column, uint8_t u8Char);

// Write a string in u8Row starting with u8Colume 
extern uint8_t LCD1602A_u8WriteString(uint8_t u8Row, uint8_t u8Column, uint8_t * pu8Char);

// Clear u8Row (or better: fill it with spaces) 
extern uint8_t LCD1602A_u8ClearRow(uint8_t u8Row);

// Switch off the display and set all ports and pins to a state
// where no light is on the display
extern void LCD1602A_vSwitchOff(void);

#endif	/* _LCD1602A_H_ */ 

