/***********************************************************************
 * @file Poti.h
 * @brief Sound level potentiometer with seven relays
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _POTI_H_
#define	_POTI_H_

typedef enum POTI_enAction_tag {
  eIncrSoundLevel,
  eDecrSoundLevel,
  eMuteSoundLevel
} POTI_enAction_t;

// initialize the potentiometer module with default values
void POTI_vInit(uint8_t u8DefaultSoundLevel);

// set the physical ports at multiple changes only once and with a delay
void POTI_vDoWork (void);

// modify the sound level (stepwise or mute)
void POTI_vChangeSoundLevel( POTI_enAction_t enAction, uint8_t u8CmdType);

// get the actual sound level 
uint8_t POTI_u8GetSoundLevel(void);

// set the sound level directly 
//void POTI_vSetSoundLevel(uint8_t u8SoundLevel);

// set the relays into standby
void POTI_vSetStandBy(void);

#endif
