/**********************************************************************
 * @file Timer0.h
 * @brief Timer 0 is used for 100us clock and as delay timer
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _TIMER_0_H_
#define	_TIMER_0_H_ 

// different types of delay timers
typedef enum TIMER0_enType_tag {
  e100us,
  e10ms,
  e1s
} TIMER0_enType_t; 

// initialize timer 0 to generate 100us ticks
extern void TIMER0_vInit(void);

// flag signalizes 100us are over
extern bool TIMER0_b100usTimeTick;

// delay function
extern void TIMER0_vDelay (uint8_t u8Time, TIMER0_enType_t enType); 

// timer 0 interrupt function (must have global scope)
extern void TIMER0_vInterrupt(void) __interrupt (1);

#endif

