/**********************************************************************
 * @file Timer0.h
 * @brief Timer 0 is used for 100us clock and as delay timer
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _TIMER_0_H_
#define	_TIMER_0_H_ 

// initialize timer 0 to generate 100us ticks
extern void TIMER0_vInit(void);

// flag signalizes 100us are over
extern bool TIMER0_b100usTimeTick;

// delay function with multiple of 100us
extern void TIMER0_vDelay (uint8_t u8Time); 

// timer 0 interrupt function (must have global scope)
extern void TIMER0_vInterrupt(void) __interrupt (1);

#endif

